2025-09-15 22:15:37 UTC
129 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.2-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.2-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:35d6a5cce6a146ea7213377edde7d1d27f34dda18ce9fac98ea2ab40a6b110f6 - 58.71% (75.9 MB)
[#001] sha256:da113cdb58a1bf592b8f682dcb5293978f76cc551438afe998fe28042ce4f9ab - 41.29% (53.4 MB)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9/ubi" version="9.6" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) ENV container oci
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY dir:91d00d24ce3ba29551746ee5faca2e3a563eef65ecd488882ee5f2d4f984589d in /
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:a782d4cd79a0c61643bc1cbf3cd5798a42f1495fe330dde8598373d62cac62dd in /root/buildinfo/labels.json
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="60d587d1286655c5e777e63959aaae224123ea95" "org.opencontainers.image.revision"="60d587d1286655c5e777e63959aaae224123ea95" "build-date"="2025-10-13T07:36:46Z" "release"="1760340943"org.opencontainers.image.revision=60d587d1286655c5e777e63959aaae224123ea95
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.2-release
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.2-RELEASE
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2025-09-15 22:15:37 UTC
126 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.2-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.2-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:47c325a0b847affaa9b64f57de793eff43b8d44ae93c70c8f50b53cc15ac6046 - 58.59% (73.7 MB)
[#001] sha256:c35111aed409d9d31ccc183c6827ef44101c9db87bc3cba891bd34924975bcec - 41.41% (52.1 MB)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9/ubi" version="9.6" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) ENV container oci
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY dir:b9ca9ee30ad427ffb29be1a6c8e68d7dfc3fa9352a21a6a76346c5782783c7a9 in /
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) COPY file:d2bf1cf35fa0b6f9865b8418d392585e592bd0e3566050282498c9984d00cc1b in /root/buildinfo/labels.json
2025-09-15 22:15:37 UTC/bin/sh -c #(nop) LABEL "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="60d587d1286655c5e777e63959aaae224123ea95" "org.opencontainers.image.revision"="60d587d1286655c5e777e63959aaae224123ea95" "build-date"="2025-10-13T07:41:49Z" "release"="1760340943"org.opencontainers.image.revision=60d587d1286655c5e777e63959aaae224123ea95
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.2-release
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.2-RELEASE
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org
2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.